Mark a conversation as read
POST
/api/conversations/{id}/read
const url = 'https://api.getvespy.com/api/conversations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/read';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/conversations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/read \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
conversation
required
object
channels
required
Array<string>
createdAt
required
string format: date-time
id
required
string format: uuid
lastMessageAt
required
string format: date-time
latestMessagePreview
required
string
organizationId
required
string format: uuid
participantEmail
required
string format: email
participantId
required
string format: uuid
participantName
required
string
participantPhone
required
string
participantType
required
string
status
required
string
subject
required
string
unreadCount
required
integer
updatedAt
required
string format: date-time
Example
{ "conversation": { "channels": [ "in_app" ], "participantType": "tenant", "status": "open" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}